Superb quality and spec AB-Com PULSe 4K SE only £99! FREE UK DELIVERY! 4K UHD, Enigma 2, Multiboot 4 images & more!...
Superb quality and spec AB-Com PULSe 4K Rev II Twin Satellite tuner only £149! FREE UK DELIVERY! 4K UHD, Enigma 2, SATA HDD facility, Multiboot 4 images & more!...

[VU+ Solo2] Softcam issue?

But didn't someone say that OpenATV Oscam runs fine on Mips boxes? Can't some code simply be copied over and run it the same way OpenATV does? (I do know that it will not be as easy as that sounds).
the issue is not the Oscam version (or options compiled with it) - running as a script, they all appear to work
the other images use scripts except OpenViX that uses a ViX plugin to control the cams
so just run a simple script as per the posts above...
 
the issue is not the Oscam version (or options compiled with it) - running as a script, they all appear to work
the other images use scripts except OpenViX that uses a ViX plugin to control the cams
so just run a simple script as per the posts above...

Not sure I know how to do that but will give it a go, but can't the script just be added to next update so it just runs like other images? This problem has spoilt what was an excellent box (Vu+ Solo2)
 
Yes... this softcam issue may well be an issue to do with the way Python 2 works on Mips boxes:-
On the new test Python 3 version of Vix, Oscam works (with low ecms) but alas it still eventually stops and appears to run out of memory. So half a solution is maybe to use Python 3. It is pretty easy to create a script that starts Oscam automatically and this works (although it too stops after about a day or two). The fact that OpenATV, OpenPLI and other MIPs images work flawlessly with Oscam is puzzling, but Openvix is a more complex image which tends to be more flash and memory hungry on Mips machines.
Here is a workaround...

1) Create a startup script as follows:-

#!/bin/sh
ulimit -s 1024
/usr/softcams/oscam-latest --config-dir /etc/tuxbox/config --daemon --pidfile /tmp/oscam-latest.pid --restart 2 --utf8
exit 0


Name the script "S56softcam.sh" and ftp to /var/etc/rcS.d

2) Disable Oscam startup in SoftcamManager and disable Oscam check

3) Create a Power Timer to reboot the (MIPS) box every day in the middle of the night.

4) Reboot box

This is how I got Openvix working with Oscam. Any other ideas welcome...
 
Last edited:
Yes... this softcam issue may well be an issue to do with the way Python 2 works on Mips boxes:-
On the new test Python 3 version of Vix, Oscam works (with low ecms) but alas it still eventually stops and appears to run out of memory. So half a solution is maybe to use Python 3. It is pretty easy to create a script that starts Oscam automatically and this works (although it too stops after about a day or two). The fact that OpenATV, OpenPLI and other MIPs images work flawlessly with Oscam is puzzling, but Openvix is a more complex image which tends to be more flash and memory hungry on Mips machines.
Here is a workaround...

1) Create a startup script as follows:-

#!/bin/sh
ulimit -s 1024
/usr/softcams/oscam-latest --config-dir /etc/tuxbox/config --daemon --pidfile /tmp/oscam-latest.pid --restart 2 --utf8
exit 0


Name the script "S56softcam.sh" and ftp to /var/etc/rcS.d

2) Disable Oscam startup in SoftcamManager and disable Oscam check

3) Create a Power Timer to reboot the (MIPS) box every day in the middle of the night.

4) Reboot box

This is how I got Openvix working with Oscam. Any other ideas welcome...

.. and that is basically the scripts used by other images except they save the pid, so it can be stopped later

By the way interesting py3 info …..
 
Last edited:
Yes... this softcam issue may well be an issue to do with the way Python 2 works on Mips boxes:-
On the new test Python 3 version of Vix, Oscam works (with low ecms) but alas it still eventually stops and appears to run out of memory. So half a solution is maybe to use Python 3. It is pretty easy to create a script that starts Oscam automatically and this works (although it too stops after about a day or two). The fact that OpenATV, OpenPLI and other MIPs images work flawlessly with Oscam is puzzling, but Openvix is a more complex image which tends to be more flash and memory hungry on Mips machines.
Here is a workaround...

1) Create a startup script as follows:-

#!/bin/sh
ulimit -s 1024
/usr/softcams/oscam-latest --config-dir /etc/tuxbox/config --daemon --pidfile /tmp/oscam-latest.pid --restart 2 --utf8
exit 0


Name the script "S56softcam.sh" and ftp to /var/etc/rcS.d

2) Disable Oscam startup in SoftcamManager and disable Oscam check

3) Create a Power Timer to reboot the (MIPS) box every day in the middle of the night.

4) Reboot box

This is how I got Openvix working with Oscam. Any other ideas welcome...

Tried this and all working ok! Can this now be added to next update so it works like all the other images? By the way to anyone else wanting to try this, change 'oscam-latest' to whatever oscam version you are using i.e. oscam-emu etc
 
Would there be any harm in also having the PLI/ATV cam control methods in Vix?
 
Last edited:
[strike]I am sure I already posted in Dev section where ATV softcams are built from.[/strike]

Edit: Post in Dev section updated with link. I hadn't done so before.
 
Last edited:
Found a post from you, that gives the OpenPli bb, but not OpenATV.... which I would find interesting!
 
I have managed to add the ATV/PLI control method. Commit which can be improved on my fork is here: https://github.com/AbuBaniaz/enigma2_OpenViX/commit/296683343e748c25d3f9a21961d82f6a943ae8d7

For anybody wanting to try this (please make an image backup first or copy original files first), attached files are required.

menu.xml
Goes in /usr/share/enigma2

SoftcamSetup.py
Goes in /usr/lib/enigma2/python/Screens

SystemInfo.py
config.py
Go in /usr/lib/enigma2/python/Components

camcontrol.py
Goes in /usr/lib/enigma2/python/Tools

Please delete the .py files after restarting and the new/updated .pyo files are created.
Disable the checks in Vix Softcam manager to ensure it does not interfere
The ATV/PLI softcam menu won't show unless an ATV/PLI softcam with the init scripts is installed

To install the ATV softcam feed, issue following command using Putty or any Terminal client
Code:
wget -O - -q http://updates.mynonpublic.com/oea/feed | bash
Once you restart, you will be able to install softcams created for ATV.
 

Attachments

Thanks... but...
works just like Softcammanager did with same glitchy results (remember you have to recopy your oscam config into the newly formed directory in my case "oscam-stable" directory off the var/etc/tuxbox/config)
Sorry to say!!

Back to the scripts!!!
 
Thanks... but...
works just like Softcammanager did with same glitchy results (remember you have to recopy your oscam config into the newly formed directory in my case "oscam-stable" directory off the var/etc/tuxbox/config)
Sorry to say!!

Back to the scripts!!!

Oscam checks several location for configs, so should still find them. Are you sure that is not happening? ATV default port is 83.

What is different between "the scripts" and the cam startup scripts?
Code:
#!/bin/sh
### BEGIN INIT INFO
# Provides:          softcam
# Required-Start:    $local_fs
# Required-Stop:     
# Should-Start:      $time $remote_fs cardserver
# Should-Stop:     
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: oscam
# Description:       oscam SoftCAM, card reader and server.
### END INIT INFO


readlink -f $0 >/dev/null 2>&1
if [ $? -eq 0 ]; then
    CAM=$(basename $(readlink -f $0) | sed s#^softcam\.##)
else
    CAM=$(basename $0 | sed s#^softcam\.##)
fi


[ -n "$CAM" ] || exit 1
[ -x /usr/bin/$CAM ] || exit 1


PIDFILE=/var/tmp/${CAM}.pid
DESC="Softcam service $CAM"
DAEMON=/usr/bin/$CAM


case "$1" in
start)
    if [ -e $PIDFILE ]; then
        PIDDIR=/proc/$(cat $PIDFILE)
        if [ -d ${PIDDIR} ] && [[ $(readlink -f ${PIDDIR}/exe) == $DAEMON ]]; then
            echo "$DESC already started; not starting."
            exit 1
        else
            rm -f $PIDFILE
        fi
    fi
    echo -n "Starting $DESC: "
    ulimit -s 1024
    $DAEMON --config-dir /etc/tuxbox/config/$CAM --daemon --pidfile $PIDFILE --restart 2 --utf8 2| grep -v "UTF-8 mode"
    sleep 0.5
    RETVAL=1
    [ -e $PIDFILE ] && RETVAL=0
    if [ "$RETVAL" -eq "0" ]; then
        echo "OK"
    else
        echo "FAILED"
    fi
    exit $RETVAL
    ;;
stop)
    echo -n "Stopping $DESC: "
    kill `cat $PIDFILE 2> /dev/null` 2> /dev/null
    RETVAL=$?
    if [ "$RETVAL" -eq "0" ]; then
        echo "OK"
    else
        echo "FAILED"
    fi
    sleep 1
    killall $CAM 2> /dev/null
    exit $RETVAL
    ;;
restart|reload)
    $0 stop
    sleep 1
    $0 start
    exit $?
    ;;
status)
    echo -n "$DESC: "
    if [ -e $PIDFILE ]; then
        PIDDIR=/proc/$(cat $PIDFILE)
        if [ -d ${PIDDIR} ] && [[ $(readlink -f ${PIDDIR}/exe) == $DAEMON ]]; then
            echo "Running."
            exit 0
        fi
    fi
    echo "Stopped."
    exit 1
    ;;
version)
    $CAM -V | grep 'Version\|IPv6' | sed 's/Version:[ ]*//' | sed 's/IPv6.*yes/with IPv6/g' | sed 's/IPv6.*no/IPv4-only/g' | sed ':a;N;$!ba;s/\n/ /g'
    ;;
info)
    $CAM -V | grep 'Version\|IPv6' | sed 's/Version:[ ]*//' | sed 's/IPv6.*yes/with IPv6/g' | sed 's/IPv6.*no/IPv4-only/g' | sed ':a;N;$!ba;s/\n/ /g'
    ;;
*)
    echo "Usage: $0 start|stop|restart|status"
    exit 1
    ;;
esac
exit 0
 
Oscam checks several location for configs, so should still find them. Are you sure that is not happening?
It seems to check in var/etc/tuxbox/config/CAM$ which is what I found! CAM$ presumably is the name of the cam (in my case oscam-stable).
Doesn't seem to check in the Vix normal place... (var/etc/tuxbox/config). The new code creates a new directory off config directory with the same name as the relevant Oscam you are downloading...

Softcam starts and works but is glitchy and shows high ecms as before....
Can't see any difference or improvement between this method and Vix Softcammanager.

What is different between "the scripts" and the cam startup scripts?
The scripts refers to our crude startup scripts that merely start Oscam without any PID management or the possibility of stopping/restarting or checking that the cam is still working.
The cam startup scripts seem to perform all of these functions
 
Last edited:
For me, the oscam binary checks /etc/tuxbox/config/oscam-stable folder or /etc/tuxbox/config/ folder without a problem. This is as per oscam coding to allow version specific config files. The locations of config files is hardcoded in vix softcam manager, not the oscam binary itself unless it is built that way specifically.

Anyway, main issue we need to fix is the high ecm and stalling on mips receivers on openvix. Lets not get sidetracked by other issues.
 
openvix 5.4.005
Oscam stopped after approx 300 minutes each time.

openvix 5.4.004
Worked perfectly with no stopping - tested over a few days

So based on the above, it looks like the problem was possibly introduced between 5.4.004 and 005!
Just for reference purposes:

openvix 5.4.004: 06 Jan 2021
openvix 5.4.005: 23 Jan 2021


EDIT:
Changelogs attached with a day either side just in case build took in a commit after build started
Code:
git log --since="2021-01-05" --until="2021-01-24" > oea4.4_log.txt
git log --since="2021-01-05" --until="2021-01-24" > vix_e2.txt
git log --since="2021-01-05" --until="2021-01-24" > vix_core.txt
 

Attachments

Last edited:
Using the ATV/PLi control method, I left box in standby overnight. I woke box up and found oscam had stalled and was not shown in htop.

I'll flash ATV and repeat test.
 
I'll flash ATV and repeat test.

I flashed OpenATV 6.4 (03 July 2021), used the exact same oscam binary, exact same oscam config files (.server, .dvabapi, .user, .conf etc). Oscam did not freeze/stall over time.

I used same the same lamedb file as what I had used on Vix, and left it on the same 19.2 channel overnight.
 
I think this confirms what many of us have been saying... the issue is very odd and not happening in other Open images. Although (except for the eventual freezing) it does not seem to happen (using Softcam Manager) in the Python 3 version of the image I am using. So this problem may disappear with Py3.
I have been looking at what changed between Vix 5.4.4 and 5.4.5 where the issue started and there are some specific code changes that only applied to MIPS boxes not ARM boxes. Maybe this is where the problem is.
 
I have been looking at what changed between Vix 5.4.4 and 5.4.5 where the issue started and there are some specific code changes that only applied to MIPS boxes not ARM boxes. Maybe this is where the problem is.

Such as ???
 
In #195 in the file vix_e2.txt there is an entry as follows:-
commit 93f9626b873f501ea9c17c6ec49abd0d0122c5e7
Author: Erik Slagter <[email protected]>
Date: Fri Jan 8 15:27:26 2021 +0100

filepush: work around bug in OE Zeus glibc. Fix recordings that hang enigma.

On MIPS receivers the default signal blocking mask for a thread appears
to be undefined (and it's really random). If we don't set it explicitly,
it will sometimes let SIGUSR1 work and on other times it won't.

So set the signal blocking mask in the recording thread explicitly now,
and that seems to work.

On ARM receivers this issue never showed.

Maybe nothing....
 

OpenViX Feeds Status

Back
Top